# Interface FragmentationInterceptorMBean

All Known Implementing Classes:
  `FragmentationInterceptor`

public interface FragmentationInterceptorMBean
MBean interface for managing the fragmentation interceptor.

## Method Summary

Modifier and Type
Method
Description
`long`
`getExpire()`
Returns the expiration time for fragments in milliseconds.
`int`
`getMaxSize()`
Returns the maximum size of a fragment in bytes.
`void`
`setExpire(long expire)`
Sets the expiration time for fragments in milliseconds.
`void`
`setMaxSize(int maxSize)`
Sets the maximum size of a fragment in bytes.

## Method Details

### getMaxSize

int getMaxSize()
Returns the maximum size of a fragment in bytes.

Returns:
  The maximum fragment size

### getExpire

long getExpire()
Returns the expiration time for fragments in milliseconds.

Returns:
  The fragment expiration time

### setMaxSize

void setMaxSize(int maxSize)
Sets the maximum size of a fragment in bytes.

Parameters:
  `maxSize` - The maximum fragment size

### setExpire

void setExpire(long expire)
Sets the expiration time for fragments in milliseconds.

Parameters:
  `expire` - The fragment expiration time